## cascading.tap.hadoop
Class Dfs

    java.lang.Object
      cascading.tap.Tap<JobConf,RecordReader,OutputCollector>
          cascading.tap.hadoop.Hfs
              cascading.tap.hadoop.Dfs

All Implemented Interfaces:
  FlowElement, FileType<JobConf>, Traceable, Serializable

    public class Dfs

extends Hfs

Class Dfs is a `Tap` class that provides access to the Hadoop Distributed File System.

Use the `URI` constructors to specify a different HDFS cluster than the default.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.tap.hadoop.Hfs
`stringPath, TEMPORARY_DIRECTORY`

Constructor Summary
`Dfs(Fields fields, String stringPath)` Deprecated.
`Dfs(Fields fields, String stringPath, boolean replace)` Deprecated.
`Dfs(Fields fields, String stringPath, SinkMode sinkMode)` Deprecated.
`Dfs(Fields fields, URI uri)` Deprecated.
`Dfs(Fields fields, URI uri, boolean replace)` Deprecated.
`Dfs(Fields fields, URI uri, SinkMode sinkMode)` Deprecated.
`Dfs(Scheme scheme, String stringPath)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, String stringPath, boolean replace)` Deprecated.
`Dfs(Scheme scheme, String stringPath, SinkMode sinkMode)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, URI uri)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, URI uri, boolean replace)` Deprecated.
`Dfs(Scheme scheme, URI uri, SinkMode sinkMode)` Constructor Dfs creates a new Dfs instance.

Method Summary
`protected FileSystem` `getDefaultFileSystem(JobConf jobConf)`
`protected void` `setStringPath(String stringPath)`

Methods inherited from class cascading.tap.hadoop.Hfs

`applySourceConfInitIdentifiers, createResource, deleteChildResource, deleteResource, getBlockSize, getChildIdentifiers, getChildIdentifiers, getCombinedInputSafeMode, getDefaultFileSystemURIScheme, getFileSystem, getFullIdentifier, getIdentifier, getLocalModeScheme, getModifiedTime, getPath, getReplication, getSize, getTemporaryDirectory, getTempPath, getURIScheme, getUseCombinedInput, isDirectory, makeTemporaryPathDirString, makeURIScheme, openForRead, openForWrite, resourceExists, setTemporaryDirectory, setUriScheme, sinkConfInit, sourceConfInit, sourceConfInitAddInputPath, sourceConfInitComplete, verifyNoDuplicates`

Methods inherited from class cascading.tap.Tap

`commitResource, createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getModifiedTime, getScheme, getSinkFields, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasStepConfigDef, id, isEquivalentTo, isKeep, isReplace, isSink, isSource, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, taps, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dfs

    @ConstructorProperties(value={"fields","uri"})
    @Deprecated
    public Dfs(Fields fields,
                                                     URI uri)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `uri` - of type URI

### Dfs

    @ConstructorProperties(value={"fields","uri","replace"})
    @Deprecated
    public Dfs(Fields fields,
                                                     URI uri,
                                                     boolean replace)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `uri` - of type URI
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"fields","uri","sinkMode"})
    @Deprecated
    public Dfs(Fields fields,
                                                     URI uri,
                                                     SinkMode sinkMode)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `uri` - of type URI
    `sinkMode` - of type SinkMode

### Dfs

    @ConstructorProperties(value={"fields","stringPath"})
    @Deprecated
    public Dfs(Fields fields,
                                                     String stringPath)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String

### Dfs

    @ConstructorProperties(value={"fields","stringPath","replace"})
    @Deprecated
    public Dfs(Fields fields,
                                                     String stringPath,
                                                     boolean replace)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"fields","stringPath","sinkMode"})
    @Deprecated
    public Dfs(Fields fields,
                                                     String stringPath,
                                                     SinkMode sinkMode)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

### Dfs

    @ConstructorProperties(value={"scheme","uri"})
    public Dfs(Scheme scheme,
                                          URI uri)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI

### Dfs

    @ConstructorProperties(value={"scheme","uri","replace"})
    @Deprecated
    public Dfs(Scheme scheme,
                                                     URI uri,
                                                     boolean replace)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"scheme","uri","sinkMode"})
    public Dfs(Scheme scheme,
                                          URI uri,
                                          SinkMode sinkMode)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI
    `sinkMode` - of type SinkMode

### Dfs

    @ConstructorProperties(value={"scheme","stringPath"})
    public Dfs(Scheme scheme,
                                          String stringPath)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String

### Dfs

    @ConstructorProperties(value={"scheme","stringPath","replace"})
    @Deprecated
    public Dfs(Scheme scheme,
                                                     String stringPath,
                                                     boolean replace)

  Deprecated.

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"scheme","stringPath","sinkMode"})
    public Dfs(Scheme scheme,
                                          String stringPath,
                                          SinkMode sinkMode)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

Method Detail

### setStringPath

    protected void setStringPath(String stringPath)

  Overrides:
    `setStringPath` in class `Hfs`

### getDefaultFileSystem

    protected FileSystem getDefaultFileSystem(JobConf jobConf)

  Overrides:
    `getDefaultFileSystem` in class `Hfs`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.